View Issue Details

IDProjectCategoryView StatusLast Update
0015724Legion CoreOther bugs / Остальноеpublic2021-08-11 11:36
ReporterMIIXERAssigned ToGhost 
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionreopened 
Summary0015724: Дренорское зелье скорости
DescriptionНе работает https://ru.wowhead.com/item=116266
Steps To ReproduceНырнуть под воду, прожать https://ru.wowhead.com/item=116266

Activities

MIIXER

2021-08-05 17:58

reporter   ~0047309

Неправильный перерасчет скорости

Ghost

2021-08-09 16:53

developer   ~0047419

в смысле неправильный, можно подробнее?

MIIXER

2021-08-09 19:53

reporter   ~0047423

В окне персонажа показано в % какая у тебя скорость бега/плавания. Написано на предмете повышает скорость бега НА 70% и плавания НА 200%. Или что-то не так с игрой???

Ghost

2021-08-10 19:13

developer   ~0047472

Аддон, расширяющий функционал отображения стат не обновляет свою инфу после окончания действия зельки.
Тут не в зелье проблема, а в самом аддоне, аддоны кастомные мы не обслуживаем.

Вот смотри, как определить проблему аддона. Без зельки - ныряешь в воду, при этом до погружения в воду ты окно стат открыл, там 100%, погрузился, показывает 100%, а не 67%!, но реальная по серваку - 67% (все верно), однако, стоит тебе закрыть и открыть окно стат - там скорость плавания уже 67%, тоесть все нормально визуально стало
Да даже с зельем это проверни - 170% на суше, окно стат открыто - погрузился в воду, по серваку стало 202%, но на аддоне пишет 170% и опять, стоит тебе закрыть и открыть окно стат , то там скорость плавания - 202%, тоесть аддон сам не хочет принимать пакет с обновленной скоростью движения, только готов полностью переполучить комплекс пакетов со статами (при закрытии и повторном открытии окна стат)

Ghost

2021-08-10 19:17

developer   ~0047475

Почему так это происходит? Потому что это такой спелл, где одновременно обрабатываются два бонуса скорости движения (плавание и бег) и в зависимости от типов поверхностей на картах. Клиент сам по себе не понимает по дефолту, летаем мы, бегаем или плаваем, он понимает это за счет полученных пакетов, а пакеты хорошо приходят, реальные показатели обновляются идеально, но вот в коде самого аддона есть просчет, там нет выгрузки такой статы, которая была наилучшей, в итоге он извлекает тот процент, с поверхности которого мы применяли бонусный спелл

MIIXER

2021-08-11 11:36

reporter   ~0047507

Не знаю какие там проблемы с аддоном, я прекрасно всё вижу через своё окно персонажа, будь это без ныряния в воду, или после. Еще непонятно почему тут на серве вдруг стало ограничение скорости плавания в 243%? В связке с удочкой темносвета и флаской у меня скорость упирается в 243, когда она должна быть выше того значения, что сейчас есть. Но в то же время с https://ru.wowhead.com/item=127841/зелье-небесной-поступи нет никакого ограничения.

Issue History

Date Modified Username Field Change
2021-07-24 18:10 MIIXER New Issue
2021-07-24 18:10 MIIXER Status new => assigned
2021-07-24 18:10 MIIXER Assigned To => makcimys93
2021-07-24 23:23 makcimys93 Status assigned => confirmed
2021-07-24 23:23 makcimys93 Assigned To makcimys93 => Access
2021-08-01 17:14 Ghost Assigned To Access => Ghost
2021-08-01 17:14 Ghost Status confirmed => resolved
2021-08-01 17:14 Ghost Resolution open => fixed
2021-08-05 17:58 MIIXER Status resolved => feedback
2021-08-05 17:58 MIIXER Resolution fixed => reopened
2021-08-05 17:58 MIIXER Note Added: 0047309
2021-08-09 16:53 Ghost Note Added: 0047419
2021-08-09 19:53 MIIXER Note Added: 0047423
2021-08-09 19:53 MIIXER Status feedback => assigned
2021-08-10 19:13 Ghost Note Added: 0047472
2021-08-10 19:17 Ghost Note Added: 0047475
2021-08-11 11:36 MIIXER Note Added: 0047507